configure: fix build without gtk-doc support.
[vaapi:gstreamer-vaapi.git] / autogen.sh
1 #!/bin/sh
2
3 srcdir=`dirname $0`
4 test -z "$srcdir" && srcdir=.
5
6 PROJECT=gstreamer-vaapi
7 TEST_TYPE=-d
8 FILE=gst-libs
9
10 test $TEST_TYPE $FILE || {
11     echo "You must run this script in the top-level $PROJECT directory"
12     exit 1
13 }
14
15 mkdir -p m4
16
17 GTKDOCIZE=`which gtkdocize`
18 if test -z $GTKDOCIZE; then
19     echo "*** No gtk-doc support ***"
20     echo "EXTRA_DIST =" > gtk-doc.make
21 else
22     gtkdocize || exit $?
23 fi
24
25 AUTORECONF=`which autoreconf`
26 if test -z $AUTORECONF; then
27     echo "*** No autoreconf found ***"
28     exit 1
29 else
30     autoreconf -v --install || exit $?
31 fi
32
33 if test -z "$NO_CONFIGURE"; then
34     ./configure "$@" && echo "Now type 'make' to compile $PROJECT."
35 fi